/*
** Haaf's Game Engine 1.8
** Copyright (C) 2003-2007, Relish Games
** hge.relishgames.com
**
** Core functions implementation: ini file
*/


#include "hge_windows.h"

void CALL HGE_Windows::Ini_SetInt(const char *section, const char *name, int value)
{
	char buf[256];

	if(m_lpHGE->System_GetState(HGE_INIFILE)) {
		sprintf(buf,"%d",value);
		WritePrivateProfileString(section, name, buf, m_lpHGE->System_GetState(HGE_INIFILE));
	}
}


int CALL HGE_Windows::Ini_GetInt(const char *section, const char *name, int def_val)
{
	char buf[256];

	if(m_lpHGE->System_GetState(HGE_INIFILE)) {
		if(GetPrivateProfileString(section, name, "", buf, sizeof(buf), m_lpHGE->System_GetState(HGE_INIFILE)))
		{ return atoi(buf); }
		else { return def_val; }
	}
	return def_val;
}


void CALL HGE_Windows::Ini_SetFloat(const char *section, const char *name, float value)
{
	char buf[256];

	if(m_lpHGE->System_GetState(HGE_INIFILE)) {
		sprintf(buf,"%f",value);
		WritePrivateProfileString(section, name, buf, m_lpHGE->System_GetState(HGE_INIFILE));
	}
}


float CALL HGE_Windows::Ini_GetFloat(const char *section, const char *name, float def_val)
{
	char buf[256];

	if(m_lpHGE->System_GetState(HGE_INIFILE)) {
		if(GetPrivateProfileString(section, name, "", buf, sizeof(buf), m_lpHGE->System_GetState(HGE_INIFILE)))
		{ return (float)atof(buf); }
		else { return def_val; }
	}
	return def_val;
}


void CALL HGE_Windows::Ini_SetString(const char *section, const char *name, const char *value)
{
	if(m_lpHGE->System_GetState(HGE_INIFILE)) 
		WritePrivateProfileString(section, name, value, m_lpHGE->System_GetState(HGE_INIFILE));
}


char* CALL HGE_Windows::Ini_GetString(const char *section, const char *name, const char *def_val)
{
	if(m_lpHGE->System_GetState(HGE_INIFILE)) 
		GetPrivateProfileString(section, name, def_val, szIniString, sizeof(szIniString), m_lpHGE->System_GetState(HGE_INIFILE));
	else 
		strcpy(szIniString, def_val);

	return szIniString;
}

