/*----------------------------------------------------------------------
  SDL Benchmark - Roberto Prieto 
  Copyright (C) 2013-2024 MegaStorm Systems
  contact@megastormsystems.com - http://www.megastormsystems.com

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, subject to the following restrictions:

  1. The origin of this software must not be misrepresented; you must not
     claim that you wrote the original software. If you use this software
     in a product, an acknowledgment in the product documentation would be
     appreciated but is not required.
  2. Altered source versions must be plainly marked as such, and must not be
     misrepresented as being the original software.
  3. This notice may not be removed or altered from any source distribution.

 ------------------------------------------------------------------------*/

// Icon max speed in pixels per iteration
#define MAX_SPEED 	   1

// Default values
#define NUM_SPRITES	   200
#define NUM_SPRITES2  1000
#define BASETIME        10.0
#define VIDEO_WIDTH    800
#define VIDEO_HEIGHT   600
#define ICON_TEST "icon.bmp"

// Version strings
#define SDLBENCH_VERSION "SDL Benchmark v1.40"
#define SDLBENCH_SDL_VERSION "SDL 1.2 (x86)"
#define SDLBENCH_SDL2_VERSION "SDL 2.0.4 (x64)"
#define SDLBENCH_SDL2B_VERSION "SDL 2.0.15 Batching (x64)"
#define SDLBENCH_SDL2C_VERSION "SDL 2.26.4 Batching (x64)"
#define SDLBENCH_SDL3_VERSION "SDL 3.1.1 (x64)"
#define SDLBENCH_HGE_VERSION "HGE 1.8.1 (x86)"
#define SDLBENCH_SFML_VERSION "SFML 2.3.2 (x86)"

// Parameters struct
typedef struct SDLBenchParameters
{
    int iNumSprites;
    int iNumSprites2;
    double dBaseTime;
    int iVideoWidth;
    int iVideoHeight;
    char *szIcon;
    int iFillRateMode;
    int iIntegrated;
} SDLBenchParameters;

// Print information and argument parsing
int parseAndInformation(int argc, char *argv[], char *szName, SDLBenchParameters *params);
